<template>
  <portal-page class="q-pa-xl">
    <div v-if="EMAIL_VERIFIED_AT === null">
      <q-card
        id="card-rejected"
        flat
        class="bg-red-2 text-dark q-py-lg"
        v-if="EMPLOYER_STATUS === 'rejected'"
      >
        <div class="row">
          <div class="col title-subheadline q-ml-lg">
            <p class="text-weight-bold" style="color: #e57373">REJECTED</p>
            Your application has been rejected.
            <span class="text-weight-bold">{{ EMPLOYER_STATUS_REASON }}</span>
          </div>
        </div>
      </q-card>

      <q-card
        id="card-pending"
        v-else
        flat
        class="bg-yellow-1 text-dark q-py-lg"
      >
        <div class="row">
          <div class="col title-subheadline q-ml-lg">
            <p class="text-weight-bold" style="color: #ffc300">PENDING</p>
            Your application is currently under review. We will send you an
            email message once our review is complete.
          </div>
        </div>
      </q-card>
    </div>

    <company-profile-card />
  </portal-page>
</template>

<script>
import PortalPage from "src/layouts/portals/PortalPage.vue";
import CompanyProfileCard from "../components/cards/CompanyProfileCard.vue";
import { defineComponent } from "vue";
import { LocalStorage } from "quasar";

export default defineComponent({
  name: "CompanyProfilePage",
  components: {
    PortalPage,
    CompanyProfileCard,
  },

  setup() {
    const EMAIL_VERIFIED_AT = LocalStorage.getItem("auth").email_verified_at;
    const EMPLOYER_STATUS = LocalStorage.getItem("auth").employer_status.status;
    const EMPLOYER_STATUS_REASON =
      LocalStorage.getItem("auth").employer_status.message;

    return {
      EMAIL_VERIFIED_AT,
      EMPLOYER_STATUS,
      EMPLOYER_STATUS_REASON,
    };
  },
});
</script>

<style lang="scss" scoped>
#card-pending {
  border-left: 6px solid #ffc300 !important;
}

#card-rejected {
  border-left: 6px solid #e57373 !important;
}
</style>
